DECLARE @FECHA DATETIME  
SELECT @FECHA = T0.[REFDATE] 
FROM OJDT T0 --WHERE T0.[REFDATE] = '[%0]'  SET @FECHA = '[%0]'
SELECT CASE MONEDA WHEN 'USD' THEN MONEDA ELSE '$' END AS DOCCUR, * INTO #SALDOS 

FROM( 
  SELECT '' AS SUCURSAL, ISNULL(T28.NAME,T20.CARDNAME) AS AFILIACION, T29.EXTRADAYS AS DIASCRED, T20.CREDITLINE AS LIMITECRED, 
  CASE T0.TRANSTYPE  WHEN 13 THEN 'FACTURA' WHEN 14 THEN 'NOTA CREDITO' WHEN 30 THEN 'POLIZA' WHEN -2 THEN 'SI' WHEN -3 THEN 'CB' WHEN 24 THEN 'PAGO RECIBIDO' WHEN 203 THEN 'ANTICIPO' WHEN 46 THEN 'PAGO EFECTUADO' ELSE T0.TRANSTYPE END AS TIPO, 
  CASE T0.TRANSTYPE  WHEN 13 THEN T22.DOCDATE WHEN 14 THEN T23.DOCDATE WHEN 30 THEN T0.REFDATE WHEN -2 THEN T0.REFDATE WHEN -3 THEN T0.REFDATE WHEN 24 THEN T25.DOCDATE WHEN 203 THEN T24.DOCDATE WHEN 46 THEN T26.DOCDATE END AS FECHACONT, 
  CASE T0.TRANSTYPE  WHEN 13 THEN T22.DOCDUEDATE WHEN 14 THEN T23.DOCDUEDATE WHEN 30 THEN T0.DUEDATE WHEN -2 THEN T0.DUEDATE WHEN -3 THEN T0.DUEDATE WHEN 24 THEN T25.DOCDUEDATE WHEN 203 THEN T24.DOCDUEDATE WHEN
46 THEN T26.DOCDUEDATE END AS FECHAVENC, 
  T20.CARDCODE AS CODIGO, T20.CARDNAME AS NOMBRE, 
  CASE T0.TRANSTYPE WHEN 13 THEN T22.COMMENTS WHEN 14 THEN T23.COMMENTS WHEN 30 THEN T21.MEMO WHEN -2 THEN T21.MEMO WHEN -3 THEN T21.MEMO WHEN 24 THEN T25.COMMENTS WHEN 203 THEN T24.COMMENTS WHEN 46 THEN T26.COMMENTS END AS COMENTARIOS, 
  CASE T0.TRANSTYPE WHEN 13 THEN T22.DOCNUM WHEN 14 THEN T23.DOCNUM WHEN 30 THEN T21.TRANSID WHEN -2 THEN T21.TRANSID WHEN -3 THEN T21.TRANSID WHEN 24 THEN T25.DOCNUM WHEN 203 THEN T24.DOCNUM WHEN 46 THEN T26.DOCNUM END AS MOVSAP, 
  CASE T0.TRANSTYPE WHEN 13 THEN CASE T21.PTICode WHEN 9005 THEN CAST(RIGHT(ISNULL(T0.Ref2,'000000000000'),12) as Int) ELSE T21.FOLNUMFROM END WHEN 14 THEN T23.FOLNUMFROM WHEN 30 THEN T21.REF1 WHEN -2 THEN T21.REF1 WHEN -3 THEN T21.REF1 WHEN 24 THEN T25.COUNTERREF WHEN 203 THEN T24.FOLNUMFROM WHEN 46 THEN T26.COUNTERREF END AS 'DOCUMENTO', 
  CASE T0.TRANSTYPE WHEN 13 THEN T22.DOCCUR WHEN 14 THEN T23.DOCCUR WHEN 30 THEN T0.FCCURRENCY WHEN -2 THEN T0.FCCURRENCY WHEN -3 THEN T0.FCCURRENCY WHEN 24 THEN T25.DOCCURR WHEN 203 THEN T24.DOCCUR WHEN 46 THEN T26.DOCCURR END AS MONEDA,  
  CASE WHEN T0.DEBIT != 0 THEN T0.DEBIT - ISNULL(T11.RECONSUM,0) ELSE ISNULL(T11.RECONSUM,0) - T0.CREDIT END AS SALDOMXP,  CASE WHEN T0.DEBIT != 0 THEN T0.FCDEBIT - ISNULL(T11.RECONSUMFC,0) ELSE ISNULL(T11.RECONSUMFC,0) - T0.FCCREDIT END AS SALDOUSD,
  CASE T0.TRANSTYPE WHEN 13 THEN 'AR Invoice' WHEN 14 THEN 'AR Cred Memo' WHEN 24 THEN 'Payment' WHEN 203 THEN 'AR Down Payment' ELSE 'Other' END AS TransTypeDesc,
  OINV.FolNumFrom AS FolNumFromOINV, OINV.FolNumTo AS FolNumToOINV, OINV.DocSubType as DocSubTypeOINV,
  ORIN.FolNumFrom AS FolNumFromORIN, ORIN.FolNumTo AS FolNumToORIN,
  ODPI.FolNumFrom AS FolNumFromODPI, ODPI.FolNumTo AS FolNumToODPI,
  T0.TransType AS TransTypeNum
  FROM JDT1 T0
  LEFT OUTER JOIN  (SELECT SHORTNAME, TRANSID, SRCOBJTYP, TRANSROWID, SUM(RECONSUM) RECONSUM, SUM(RECONSUMFC) RECONSUMFC 
					FROM ITR1 T11  				
					INNER JOIN  OITR T12 ON T11.RECONNUM = T12.RECONNUM 
					WHERE T12.RECONDATE <= CONVERT(DATETIME,@FECHA,103)	
					GROUP BY SHORTNAME, TRANSID, SRCOBJTYP, TRANSROWID) T11 ON T11.SHORTNAME = T0.SHORTNAME AND T11.TRANSID = T0.TRANSID AND T11.SRCOBJTYP = T0.TRANSTYPE AND T11.TRANSROWID = T0.LINE_ID --DOCUMENTOS
  INNER JOIN OCRD T20 ON T20.CARDCODE = T0.SHORTNAME 
  INNER JOIN OJDT T21 ON T0.TRANSID = T21.TRANSID 
  LEFT OUTER JOIN OINV T22 ON T22.DOCENTRY = T0.CREATEDBY AND T22.OBJTYPE = T0.TRANSTYPE 
  LEFT OUTER JOIN ORIN T23 ON T23.DOCENTRY = T0.CREATEDBY AND T23.OBJTYPE = T0.TRANSTYPE 
  LEFT OUTER JOIN ODPI T24 ON T24.DOCENTRY = T0.CREATEDBY AND T24.OBJTYPE = T0.TRANSTYPE 
  LEFT OUTER JOIN ORCT T25 ON T25.DOCENTRY = T0.CREATEDBY AND T25.OBJTYPE = T0.TRANSTYPE 
  LEFT OUTER JOIN OVPM T26 ON T26.DOCENTRY = T0.CREATEDBY AND T26.OBJTYPE = T0.TRANSTYPE 
  INNER JOIN OSLP T27 ON T27.SLPCODE = T20.SLPCODE 
  LEFT OUTER JOIN OIDC T28 ON T20.INDICATOR = T28.CODE 
  LEFT JOIN OCTG T29 ON T20.GROUPNUM = T29.GROUPNUM  
  LEFT JOIN OINV on OINV.DocEntry = T0.SourceID
  LEFT JOIN ORIN on ORIN.DocEntry = T0.SourceID
  LEFT JOIN ODPI on ODPI.DocEntry = T0.SourceID
  WHERE  T20.CARDTYPE = 'C' AND T0.REFDATE <= CONVERT(DATETIME,@FECHA,103) AND (T0.DEBIT + T0.CREDIT - ISNULL(T11.RECONSUM,0)) != 0 /*CardCodeFilter*/) T10
  
  SELECT FolNumFromOINV AS 'FOLNUMFROMOINV', FolNumToOINV AS 'FOLNUMTOOINV', DocSubTypeOINV AS 'DOCSUBTYPEOINV', FolNumFromORIN AS 'FOLNUMFROMORIN', FolNumToORIN AS 'FOLNUMTOORIN', FolNumFromODPI AS 'FOLNUMFROMODPI', FolNumToODPI AS 'FOLNUMTOODPI',
  AFILIACION 'AFILIACION', CODIGO 'CODIGO', NOMBRE 'NOMBRE', SUCURSAL 'SUCURSAL', DOCCUR 'DOCCUR', FECHACONT as 'FECHACONT', FECHAVENC as 'FECHAVENC', 
  COMENTARIOS as 'COMENTARIOS', MOVSAP AS 'MOVSAP', DOCUMENTO 'DOCUMENTO', CASE DOCCUR WHEN '$' THEN SALDOMXP ELSE 0 END AS 'TOTALSystem', 
  CASE DOCCUR WHEN 'USD' THEN SALDOUSD ELSE 0 END AS 'TOTALFC', SALDOMXP AS 'SALDOMXP', TransTypeDesc 'TRANSTYPEDESC', TransTypeNum 'TRANSTYPENUM',
  'NOVENCIDO' = (CASE WHEN (DOCCUR = '$' AND DATEDIFF(DAY, FECHAVENC, @FECHA)< 0) THEN SALDOMXP WHEN (DOCCUR = 'USD' AND DATEDIFF(DAY, FECHAVENC, @FECHA)< 0) THEN SALDOUSD ELSE 0 END), 
  'VENCIDO1A30' = CASE WHEN (DOCCUR = '$' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=0 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=30)	THEN (SALDOMXP) WHEN (DOCCUR = 'USD' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=0 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=30)	THEN (SALDOUSD) ELSE 0 END, 
  'VENCIDO31A60' = CASE WHEN (DOCCUR = '$' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=31 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=60) THEN (SALDOMXP) WHEN (DOCCUR = 'USD' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=31 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=60)	THEN (SALDOUSD) ELSE 0 END, 
  'VENCIDO61A90' = CASE WHEN (DOCCUR = '$' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=61 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=90) THEN (SALDOMXP) WHEN (DOCCUR = 'USD' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=61 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=90)	THEN (SALDOUSD) ELSE 0 END, 
  'VENCIDO91A120' = CASE WHEN (DOCCUR = '$' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=91 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=120) THEN (SALDOMXP) WHEN (DOCCUR = 'USD' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>=91 AND DATEDIFF(DAY, FECHAVENC, @FECHA)<=120)	THEN (SALDOUSD) ELSE 0 END, 
  'VENCIDOMAS121' = CASE WHEN (DOCCUR = '$' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>121) THEN (SALDOMXP) WHEN (DOCCUR = 'USD' AND DATEDIFF(DAY, FECHAVENC, @FECHA)>121)	THEN (SALDOUSD) ELSE 0 END  
  FROM #SALDOS  
  ORDER BY CODIGO, FECHACONT, FECHAVENC
  DROP TABLE #SALDOS